%define _optlevel s

Name: stellarium
Version: 0.8.1
Release: alt1

Group: Education
Summary: Astronomical Sky Simulator
Url: http://www.stellarium.org/
License: GPL

Source0: %name-%version.tar.gz
Source2: %name.16.png
Source3: %name.32.png
Source4: %name.48.png

Patch1: flags.patch

# Automatically added by buildreq on Mon Jul 03 2006 (-bi)
#BuildRequires: esound gcc-c++ imake libfreetype-devel libICE-devel libmesa-devel libpng-devel libSDL-devel libSDL_mixer-devel libX11-devel linux-libc-headers xorg-cf-files
BuildRequires: gcc-c++ libfreetype-devel libpng-devel
BuildRequires: libSDL-devel libSDL_mixer-devel xorg-x11-devel

%description
Stellarium is a free software available for Windows, Linux/Unix and MacOSX.
It renders 3D photo-realistic skies in real time. With stellarium, you
really see what you can see with your eyes, binoculars or a small
telescope.

%prep
%setup -q
#%patch1 -p0
#__aclocal
#__autoconf
#__automake
%__autoreconf

%build
%add_optflags -I%_includedir/SDL -D_REENTRANT
export LDFLAGS="-L/usr/X11R6/lib"
%configure \
    --disable-rpath \
    --with-x

%make_build
# datadir=%_gamesdatadir bindir=%_gamesbindir

%install
%make install \
    DESTDIR=%buildroot

mkdir -p %buildroot/%_gamesdatadir/%name
#cp -R {textures,data,config} %buildroot/%_gamesdatadir/%name
#rm -f  %buildroot/%_gamesdatadir/%name/{textures,data,config}/Makefile*

mkdir -p $RPM_BUILD_ROOT%_menudir
cat <<__EOF__ >$RPM_BUILD_ROOT%_menudir/%name
?package(%name):command="%name" \
		  icon="%name.png" \
		  needs="x11" \
		  section="Applications/Edutainment/Science" \
		  title="Stellarium" \
		  longtitle="Astronomical Sky Simulator"
__EOF__

mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
install -m 644 %SOURCE2 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_niconsdir/%name.png
install -m 644 %SOURCE4 %buildroot/%_liconsdir/%name.png

%find_lang %name

%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog TODO
%_bindir/%name
%_datadir/%name
%_menudir/*
%_miconsdir/%name.*
%_niconsdir/%name.*
%_liconsdir/%name.*
%_man1dir/%name.*

%changelog
* Mon Jul 03 2006 Sergey V Turchin <zerg at altlinux dot org> 0.8.1-alt1
- new version

* Thu Jan 27 2005 Sergey V Turchin <zerg at altlinux dot org> 0.6.2-alt1
- new version

* Tue Aug 17 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6.0-alt1
- new version
- fix menu section

* Wed Oct 01 2003 Sergey V Turchin <zerg at altlinux dot org> 0.5.2-alt1
- new version
- fix build requires

* Fri Jan 17 2003 Sergey V Turchin <zerg@altlinux.ru> 0.5.0-alt1
- new version

* Mon Oct 14 2002 Sergey V Turchin <zerg@altlinux.ru> 0.4.9-alt1
- new version
- build with gcc3.2

* Tue Aug 13 2002 Sergey V Turchin <zerg@altlinux.ru> 0.4.7-alt1
- initial spec

